* { padding: 0; margin: 0; box-sizing: inherit; }
html { font-size: 15px; box-sizing: border-box; scroll-behavior: smooth; scroll-padding-top: 7rem; }
body { color: var(--main-color); font-family: var(--primary-font); font-size: var(--font-size-body); line-height: var(--line-height-regular); background: var(--background-color);  font-weight: var(--font-weight-body); overflow-y: scroll; }


/* --------------- HEADERS --------------- */
h1,.h1 ,h2,.h2 ,h3,.h3, h4,.h4, h5, .h5, h6, .h6 { font-weight: var(--font-weight-header); font-family: var(--header-font); line-height: var(--line-height-small); margin-bottom: 0.5em; }
h1, .h1 { font-size: var(--font-size-h1); margin: 0.4rem 0 0.4rem; font-family: var(--h1-font);}
h2, .h2 { font-size: var(--font-size-h2); margin: 3rem 0 0.75rem; }
h3, .h3 { font-size: var(--font-size-h3); margin: 2rem 0 0.25rem; }
h4, .h4 { font-size: var(--font-size-h4); }
h5, .h5 { font-size: var(--font-size-h5); }
h6, .h6 { font-size: var(--font-size-h6); }

h1.small {font-size: 2rem;}

h1 + h2 { margin-top: 1.2rem; position: relative; bottom: 2rem; margin-bottom: 0;}
h1 + h3 { margin-top: 0; }
.contentsection.has-bg-image h2 {
    font-size: var(--font-size-h1);
    margin-bottom: 1.75rem;
}


/* --------------- GENERAL --------------- */
a { color: var(--primary-color); text-decoration: none; }
p a, a[href^="mailto:"] { text-decoration: underline; color: var(--primary-color); text-underline-offset: .15em; }
h2  + .columns { margin-top: 2rem; }
h3 + ul { margin-top: 0.5rem; }
p.error { color: var(--error-color); }
img { max-width: 100%; height: auto; border-radius: .5rem;}
.anchor { position: absolute; height: 9rem; width: 1px; transform: translateY(-100%); opacity: 0; pointer-events: none; }
hr {height: 1px; border: 0; background: var(--overlay-light);}
.hidden {display: none!important;}
sub { display: block; }


@media only screen and (max-width: 950px) {
    .anchor { height: 2rem; }
}

/* LAYOUTING */
.columns { display: grid; grid-template-columns: repeat(auto-fill, minmax(15rem, 1fr)); grid-gap: 0.6rem 3rem; }
.columns.two { grid-template-columns: repeat(auto-fill, minmax(25rem, 1fr)); }
.container { max-width: 78rem; margin: 0 auto; padding: 0 1rem; position: relative;   }
.container .container { padding: 0; }
.container .hassubnav .container { padding: 0 1rem; }
.notification { background: var(--main-color); display: block; color: var(--background-color); top: 0; margin-top: -0.2rem; font-size: 0.7rem; width: 1rem; height: 1rem; line-height: 1rem; border-radius: 100%; text-align: center; position: absolute; right: 0; margin-right: -0.2rem; }
.notification.alert { background: var(--error-color); }
.single.textcolumn { max-width: 56rem; margin: 0 auto; }
.container.narrow { max-width: 58rem; margin: 0 auto; }
.double.textcolumn { display: flex; flex-wrap: wrap; gap: 4rem; }
.double.textcolumn > div { flex-grow: 1; width: 25rem; }
.textcolumn h1 { line-height: 1; padding: 3rem 0 1.5rem; font-family: var(--h1-font); font-weight: 300; font-size: 3rem; }
.textcolumn h1 span { display: block; opacity: 0.4; padding: 0.25rem 0 0; }
.body > .container > ul { margin-left: 1rem; }

/* FULLSCREEN */
.fullscreen { height: auto; width: 100%; top: 0; position: relative; overflow: hidden; }
.fullscreen > div { background: var(--overlay-dark); width: 100%; height: 100%; position: relative; display: flex; background-attachment: fixed; backdrop-filter: blur(1px); padding: 17.5rem 0; }
.fullscreen > div > div { margin: auto; color: var(--background-color); text-align: center; font-size: 105%; position: relative; }
.fullscreen > div   div.prose { max-width: 40rem; margin: 2rem auto 0; }
.fullscreen > div > div::before { content: ""; position: absolute; left: 0; top: 0; width: 100%; height: 100%; background: var(--overlay-dark); filter: blur(2rem); border-radius: 100%; animation: appearfrombottom 3s both; animation-delay: 0.5s; z-index: -1; }
.fullscreen > div > div h1 { font-weight: 300; font-size: 2.9rem; line-height: 1.1; display: flex; justify-content: center; flex-wrap: wrap; margin-inline: 1rem; }
.fullscreen > div > div h1 span:first-child { background-image: linear-gradient(to bottom, transparent calc(100% - 0.8rem), var(--primary-color) calc(100% - 0.8rem), var(--primary-color) 100%); }
.fullscreen > div > div h1 span { margin-inline: 0.45rem; white-space: nowrap; }
.fullscreen > div > div ul { display: flex; justify-content: center; gap: 1.5rem 3.75rem; padding: 4rem 2rem 0; flex-wrap: wrap; }
.fullscreen > div > div ul li { list-style: none; text-align: center; }
.fullscreen > div > div ul li img {height: 7rem; width: 6rem; object-fit: contain;}
.fullscreen > div > div ul li a > * { display: inline-block; color: var(--background-color); font-weight: 900; font-size: 85%; line-height: 1.7; }
.fullscreen > div > div ul li a { display: block; width: 7rem; }
.fullscreen > div > div ul li a img { transition: all 0.3s ease-in-out; display: inline-block; margin-bottom: 0.1rem; }
.fullscreen > div > div ul li a:hover img { transform: translateY(-0.6rem); }
.fullscreen > div > div ul li a span:last-child { opacity: 0.5; font-weight: 600; font-size: 70%; margin: 0.5rem -0.5rem; line-height: 1.45; }


/* TEXT FLOW */
p,
.textcolumn ol,
.textcolumn ul,
.textcolumn p { margin-bottom: 1.4rem; }
.textcolumn ol { margin-left: 2rem; }
.textcolumn ul { margin-left: 1.4rem; }
.smallcolumn { max-width: 25rem; margin: 0 auto; }
p.small { margin-bottom: 1rem; }

/* SELECTION */
*::selection { background: var(--main-color); color: var(--background-color); }

/* NO VISIBLE SCROLLBAR */
.no-scrollbar { -ms-overflow-style: none; scrollbar-width: none; } .no-scrollbar::-webkit-scrollbar { display: none; }

/* BUTTONS */
button { all: unset; box-sizing: border-box; margin: 0; padding: 0; border: 0; touch-action: manipulation; text-align: center; }
button,label { cursor: pointer; user-select: none; }
.button { padding: var(--btn-padding); height: auto; line-height: unset; border-radius: var(--btn-border-radius);  }
.button.inline { width: auto; display: inline-block; }
.button.outline { border: 1px solid var(--primary-color); background: transparent; color: var(--primary-color); transition: color 250ms, background 250ms; text-transform: uppercase; font-weight: 500;}

.button { border: 0; cursor: pointer; background: var(--btn-background-color); color: var(--btn-text-color); text-align: center; text-decoration: none; width: 100%; display: block; font-weight: 600; border: 0; border-top: var(--btn-border-top); border-right: var(--btn-border-right); border-bottom: var(--btn-border-bottom); border-left: var(--btn-border-left);; }
.button img { height: 1.4rem; width: 1.4rem; vertical-align: middle; position: relative; bottom: 0.15rem; object-fit: contain; margin-right: 0.15rem; }
.button.primary { background: var(--primary-color); color: var(--background-color);  border-bottom: 3px solid var(--btn-border-color);
text-transform: uppercase; font-weight: 400;}
.button.primary img { height: 1.75rem; width: 1.75rem; bottom: 0.2rem; }
.button.disabled, .button[disabled] { background: var(--gray-light); pointer-events: none; border-color: var(--gray-dark); }


/* --------------- HOME OVERRIDES --------------- */
body.home #breadcrumbs { display: none; }
/* body.home #header { position: absolute; } */

/* --------------- SECTIONS --------------- */

/* =========================================================== */
/* ===================== HEADER SECTION ===================== */
/* =========================================================== */
.headersection {overflow: auto; background-position: center center; position: relative; padding-block: 4rem; color: white; background-size: cover;}
body:has(#breadcrumbs.transparent) .headersection { padding-top: 6.5rem;  min-height: 18rem;  display: flex; flex-direction: column; }
body:has(#breadcrumbs.transparent) .headersection .container { height: 100%; display: flex; flex-direction: column; width: 100%; margin-top: auto;  }
body:has(#breadcrumbs.transparent) .headersection h1:only-child { margin-top: auto; }
.headersection::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: var(--overlay-dark);
    z-index: 0;
}
.headersection .button {background: var(--success-color); color: var(--background-color);  border-bottom: 3px solid var(--success-color-dark);}
/* .headersection .container {max-width: 58rem;} */
.headersection .container > * {max-width: 45rem;}


/* =========================================================== */
/* ===================== CONTENT SECTION ===================== */
/* =========================================================== */
.contentsection,
.contentsection .container { position: relative; }
.contentsection .container { display: flex; flex-direction: row-reverse; align-items: stretch; overflow: hidden; }
.contentsection .container .text { width: 50%;  padding: 3rem 0; }
.contentsection .container .text ul,
.contentsection .container .text p { margin-bottom: 1rem; }
.contentsection .container .text p:last-child { margin-bottom: 0; }
.contentsection .container .text p:empty { display: none; }
.contentsection .container .text ul li { padding-left: 1.25rem; list-style: none;  margin-bottom: .25rem;}
.contentsection .container .text ul li::before { content: "✓"; position: absolute; margin-left: -1.25rem; color: var(--success-color); }
.contentsection .container .text > h2:first-child { margin-top: 0; }
.contentsection .container .text  p:empty:first-child + h2 { margin-top: 0; }
.contentsection .container .text h2:has(+h3) { font-size: var(--font-size-h5); text-transform: uppercase;  margin-bottom: 0; color: var(--primary-color);}
.contentsection .container .text h2 + h3 { font-size: var(--font-size-h2);  margin-top: .5em;  margin-bottom: .4em;}
.contentsection .container:not(:has(.image)) > .text { margin: 0 auto; max-width: 100%; width: 100%; }
.contentsection .container:has(.image) > .image { width: 50%; }
.contentsection .container:has(.image) > .image > img { height: 20rem; min-height: 100%; max-height: 100%; display: block; max-width: none; width: auto; }
.contentsection.third .container > .text { width: 33%; }
.contentsection.third .container > img { width: 66%; }
.contentsection:is(.white, .secondary) + .contentsection:is(.white, .secondary) .container::before { content: ""; position: absolute; top: 0; width: 100%; height: 2px; background: linear-gradient(to right, transparent 0%, var(--overlay-light) 25%, var(--overlay-light) 75%, transparent 100%); }
.contentsection:first-child .container > .text p a {
    background-color: var(--success-color);
    color: var(--background-color);
    padding: var(--btn-padding);
    height: auto;
    line-height: unset;
    border-radius: var(--btn-border-radius);
    font-weight: bold;
    border-radius: 0.3rem;
    display: inline-block;
    margin-top: 0.25rem;
    text-decoration: none;
    border-bottom: 3px solid var(--success-color-dark);
}
.contentsection .container + .container, .contentsection.white + .contentsection.white .container + .container { flex-direction: row; }
.contentsection .container + .container { min-height: 0; }
.contentsection .container ul.buttons { display: grid; grid-template-columns: repeat(auto-fill, minmax(10rem, 1fr)); grid-gap: 1rem; width: 100%; margin-bottom: 2rem; }
.contentsection .container ul.buttons li { list-style: none; position: relative; display: flex; align-items: stretch; flex-grow: 1; }
.contentsection .container ul.buttons li a { display: block; background: var(--overlay-subtle); padding: 1rem 1rem 1.3rem; width: 100%; text-align: center; display: flex; align-items: center; justify-content: center; font-weight: 600; }
.contentsection .container ul.buttons li a:hover { background: var(--primary-color); color: var(--background-color); }
.contentsection .container ul.buttons li a span { display: block; }

.contentsection.white + .contentsection.white .container + .container::before { content: none; }
.contentsection.blue { background: var(--primary-color); color: var(--background-color); }
.contentsection.blue:last-child { margin-bottom: -6rem; border-bottom: 1px solid var(--overlay-white); }

.contentsection h1 + .shortcode-youtube { margin: 1rem auto; }

/* =========================================================== */
/* ======================== WORLDWIDE ======================== */
/* =========================================================== */
.contentsection.worldwide { margin-top: 8rem; }
.contentsection.worldwide .container { display: flex; justify-content: center; flex-direction: row; gap: 3rem; padding-top: 2rem; padding-bottom: 2rem; }
.contentsection.worldwide .container > div { padding: 1rem 0; }
.contentsection.worldwide .container > div:nth-child(1) { text-align: center; }
.contentsection.worldwide .container > div:nth-child(2) { min-width: 11rem; }
.contentsection.worldwide .container > div h2 { margin-top: 0; padding-top: 0; font-size: 1.5rem; font-weight: 300; }
.contentsection.worldwide .container > div p { margin-bottom: 1.4em; }
.contentsection.worldwide .container > div ul li { list-style: none; }
.contentsection.worldwide .container > div a.button { color: var(--background-color); display: block; width: auto; min-width: 11rem; border: 1px solid var(--overlay-white); background: none; margin-bottom: 0.5rem; text-transform: uppercase; font-weight: 400;}

@media only screen and (max-width: 600px) {
    .contentsection.worldwide .container { display: block; }
}

/* =========================================================== */
/* ========================= SYSTEMS ========================= */
/* =========================================================== */
.contentsection.systems .container { padding-top: 3rem; padding-bottom: 2rem; display: block; }
.contentsection.systems .container > h2 { margin: 0 auto 2rem; text-align: center; max-width: 30rem; }
.contentsection.systems .container > div.flex { display: flex; flex-wrap: wrap; gap: 4rem 2rem; text-align: center; justify-content: center; }
.contentsection.systems .container > div.flex > div { max-width: 20rem; min-width: 20rem; flex: 1; }
.contentsection.systems .container > div.flex > div > * { max-width: 20rem; margin: 0 auto; }
.contentsection.systems .container > div.flex > div h2 { font-weight: 400; margin-bottom: .5em; }
.contentsection.systems .container > div.flex > div p { margin-bottom: 1.4em; }
.contentsection.systems .container > div.flex > div p:last-child { margin-bottom: 0; }
.contentsection.systems .container > div.flex > div img { height: 10rem; }


/* =========================================================== */
/* ========================== TABLE ========================== */
/* =========================================================== */
table { border-spacing: 0; border: 1px solid var(--gray-light); border-bottom: 0; border-right: 0; font-size: 80%; margin: 2rem 0 0.5rem 0; }
table tr th, table tr td { padding: 0.25rem 0.5rem; border-bottom: 1px solid var(--gray-light); border-right: 1px solid var(--gray-light); }
table tr th { border-bottom: 1px solid var(--gray-light); text-align: left; vertical-align: bottom; }
table tr td { vertical-align: top; }
table tr td:first-child { font-weight: bold; }
table tr th.CookieDeclarationTableHeader, table tr td.CookieDeclarationTableCell { border-right: 0; }
table tr:last-child td.CookieDeclarationTableCell { border-bottom: 0; }


/* =========================================================== */
/* ========================== POPUP ========================== */
/* =========================================================== */
#popup { background: var(--overlay-dark); display: flex; position: fixed; left: 0; top: 0; width: 100%; height: 100vh; z-index: 99; opacity: 1; transition: all 0.3s ease-in-out; }
#popup.hide { opacity: 0; pointer-events: none; }
#popup > div { margin: auto; background: var(--background-color); max-width: 40rem; padding: 1.5rem 1.75rem; text-align: center; position: relative; box-shadow: 0px 0px 10px 1px var(--gray-dark); border-radius: 0.5rem; font-size: 1.05rem; }
#popup > div.green { background: var(--success-color); color: var(--background-color); }
#popup > div.green a { color: var(--background-color)!important; text-decoration: underline; }
#popup > div.blue { background: var(--primary-color); color: var(--background-color); }
#popup > div > h2 { margin: 1rem 0 2rem; }
#popup > div > *:first-child:not(img) { margin-top: 1.5rem; }
#popup > div.green > h2,
#popup > div.blue > h2 { color: var(--gray-dark); }
#popup > div #close { position: absolute; right: 0.5rem; top: 0.5rem; overflow: hidden; width: 0; height: 0; padding: 2rem 0 0 2rem; background: rgba(255,255,255,0); cursor: pointer; }
#popup > div #close::after,
#popup > div #close::before { content: ""; position: absolute; width: 70%; left: 15%; top: 50%; height: 3px; background: var(--main-color); transform: translateY(-50%) rotate(45deg); }
#popup > div #close::before { transform: translateY(-50%) rotate(-45deg); }
#popup > div.green #close::after,
#popup > div.green #close::before,
#popup > div.blue #close::after,
#popup > div.blue #close::before { background: var(--background-color); }

svg g path[stroke-dasharray] { stroke: var(--gray-medium); }
svg g a:hover path { stroke: var(--primary-color); stroke-dasharray: 1.0,3.0; }



/* =========================================================== */
/* ========================= PATCHED ========================= */
/* =========================================================== */
.body.patched > div { padding-bottom: 4rem; padding-top: 0.1rem; }

.body.patched > div + div { padding-top: 4rem; }
.body.patched > div *:first-child { margin-top: 0; }
.body.patched > div.secondary { background: var(--secondary-color); }
.body.patched > div.secondary + .worldwide { margin-top: 0; }

.body.patched .contentsection .container::before  { display: none; }
.body.patched .contentsection:not(:first-of-type) .container .text { padding-block: 0;}

@media (max-width: 40rem) {
    .body.patched > div:first-child { text-align: left; }
}

#megagen-klantenservice { text-align: center; }


/* =========================================================== */
/* ========================= EVENTS ========================== */
/* =========================================================== */
.events { display: grid; grid-template-columns: 1fr 1fr; grid-gap: 1rem; }
.events :is(h2,h3) { grid-column: -1/1; }

a.event { display: flex; flex-direction: column; align-items: flex-start; margin: 2rem auto 4rem; padding-bottom: 2rem; border-bottom: 1px solid var(--gray-light); }
a.event:hover h2 { color: var(--main-color); }
a.event time { color: var(--gray-medium); }
a.event h2 { margin: .5em 0 1em; transition: color 250ms; }
a.event p { color: var(--main-color); }
a.event div { display: grid; grid-template-columns: 1fr auto; grid-gap: 0 4rem; }
a.event ul.tags { display: flex; flex-wrap: wrap; gap: .5rem; list-style: none; padding: 0; margin: 0 0 1em; }
a.event ul.tags li { color: var(--background-color); background: var(--gray-medium); padding: .25em .75em; border-radius: 100vmin; }

@media only screen and (max-width: 40rem) {
    a.event div { grid-template-columns: 1fr; margin-bottom: 1.5rem; }
}


/* =========================================================== */
/* ========================= GALLERY ========================= */
/* =========================================================== */
.single.textcolumn:has(.image_gallery:only-child) { max-width: 75rem; }
.image_gallery { display: grid; grid-template-columns: repeat(auto-fit, minmax(18rem, 1fr)); grid-gap: .75rem; margin: 1.5rem auto; }
.image_gallery img { height: 100%; object-fit: cover; }

/* =========================================================== */
/* ======================= EVENT ICONS ======================= */
/* =========================================================== */
ul.details { display: grid; grid-template-columns: repeat(auto-fit, minmax(10rem, 1fr)); list-style: none; grid-gap: 1rem; margin: 0; }
ul.details li { display: flex; flex-direction: column; align-items: center; padding: 1.5rem 0.5rem 1rem; border-radius: .5rem; background: var(--secondary-color); text-align: center; max-width: calc(58rem / 2); color: var(--primary-color); }
ul.details li strong { font-size: 1.1rem; display: block; margin: .5em 0 .5em; }
ul.details li svg { display: block; width: 80%; max-width: 2rem; height: auto; }


/* =========================================================== */
/* ========================== CARDS ========================== */
/* =========================================================== */
.contentsection:has(ul.cards) .container { max-width: 78rem;}
.contentsection:has(ul.cards:not(.left)) > * { text-align: center;}
.contentsection:has(ul.cards) .text > :is(h2,p) { max-width: 40rem; margin-inline: auto;}

ul.cards.cards { display: grid; grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr)); list-style: none; grid-gap: 2rem; margin: 2rem 0 0; align-items: stretch;}
ul.cards > li { display: flex; flex-direction: column; padding-left: 0!important;}
ul.cards > li::before {content:none!important;}
ul.cards > li img { border-radius: .5rem; border-bottom-left-radius: 0; border-bottom-right-radius: 0; }
ul.cards > li p:has(> img:only-child) {display: flex;  position: relative; margin: -2rem -2rem 0;}
ul.cards > li > div { background: var(--secondary-color); padding: 2rem; border-radius: .5rem; height: 100%; display: flex; flex-direction: column;}
ul.cards > li > div > h3 { margin: 0 0 1rem;}
ul.cards > li > div > h3 + p {flex-grow: 1;}
ul.cards > li .shortcode-youtube { margin-bottom: 1rem; }

ul.cards.icons { grid-template-columns: repeat(auto-fit, minmax(10rem, 1fr)); grid-gap: 1rem; margin-top: 3rem;}
ul.cards.icons img { height: 8rem; width: auto; margin-bottom: 1rem;}
ul.cards.icons li > div  {  text-align: center; padding-inline: 1rem;}
ul.cards.icons li p:has(img:only-child) { margin: 0 auto;  order: -1; }
ul.cards.icons li p:has(img:only-child) img { width: 5rem; height: auto; }

.contentsection.secondary ul.cards > li > div { background: var(--background-color);}

@media only screen and (max-width: 768px) {
    ul.cards {  display: flex; flex-direction: column; }
}

p:has(img.floatright) { float: right; margin: 0.35rem 0 1rem 1rem;}
p:has(img.floatright) img {max-width: 10rem;}
p:has(img.floatright.large) img {max-width: 20rem;}

/* =========================================================== */
/* ===================== CALL TO ACTION ====================== */
/* =========================================================== */
.cta { padding: 2rem; background: var(--secondary-color); border-radius: .5rem; margin: 2rem auto;  }
.cta h2:first-child { margin-top: 0; }
.cta .button { background: var(--primary-color); color: var(--background-color); font-weight: 700;  border-bottom: 3px solid var(--primary-color); }
.cta > *:last-child { margin-bottom: 0; }
.cta p:empty  > *:last-child { margin-bottom: 0; }

.cta:has(img) { padding: 0; background: none; }
.cta p:has(img) { margin: 0; }
.cta img { float: left; max-width: 20rem; margin-right: 5rem;}
.cta + * { clear: both; }

/* =========================================================== */
/* ========================== SHARE ========================== */
/* =========================================================== */
section.share { clear: both;}


/* =========================================================== */
/* ======================= EVENT PAGE ======================== */
/* =========================================================== */
.container.event img.top { border-radius: .5rem; margin: 0 0 1rem; display: flex; }
.container.event p a:not(.button) { color: var(--primary-color); }
.container.event form.form { background: var(--secondary-color); border-radius: 1rem; padding: 2rem; }
.container.event form.form > div:first-child > * { margin-top: 0; }
.container.event form.form input[type=submit] { background: var(--primary-color); color: var(--background-color); font-weight: 700; }

/* =========================================================== */
/* ======================== ACCORDION ======================== */
/* =========================================================== */
div.accordion {  --section-background: white; --accordion-background: var(--secondary-color); --accordion-text-color: var(--primary-color);  background: var(--accordion-background);}
div.accordion button { color: inherit; background: inherit; border: inherit; font-size: inherit; display: block; line-height: inherit; width: 100%; text-align: left; font-weight: 500; }
div.accordion h3 { font-size: 1.25rem; }
div.accordion > div { border-bottom: 3px solid var(--section-background); list-style: none;}
div.accordion > div > *:first-child { margin: 0.5rem 0; }
div.accordion > div:first-of-type { border-top: 3px solid var(--section-background); list-style: none; }
div.accordion > div button { padding: 1rem 0 1rem; display: flex; align-items: center; cursor: pointer; transition: padding 333ms, color 333ms; font-family: inherit; font-weight: 600; padding-left: 3rem; position: relative; --own-color: var(--accordion-text-color); color: var(--own-color);}
div.accordion > div button::before,
div.accordion > div button::after { background: var(--own-color); content: ""; position: absolute; width: .9rem; height: 2px; border-radius: 1rem; background: currentColor; transform: rotate(var(--r, 0deg)); transition: transform 333ms, color 333ms; left: 1.1rem; }
div.accordion > div button::before { --r: -90deg; }

div.accordion > div > div { transition: padding 333ms, max-height 333ms; overflow: hidden; width: calc(100% - 3rem); padding-left: 3rem; display: flex; flex-direction: column;}
div.accordion > div > div[aria-hidden=true] { max-height: 0px; }
div.accordion > div > div > div > :last-child { margin-bottom: 3rem !important; }

/* Opened */
div.accordion > div > div[aria-hidden=false] { max-height: var(--height, unset);}
div.accordion > div button[aria-expanded=true]::before { --r: 0deg; }

/* Secondary Background */
.contentsection.secondary div.accordion { --section-background: var(--secondary-color);  --accordion-background: white; --accordion-text-color: var(--primary-color);  }



/* =========================================================== */
/* ========================== FORM =========================== */
/* =========================================================== */
form.form > div { display: flex; margin-bottom: 1rem; position: relative; }
form.form > div label { line-height: 2.4rem; min-width: 8rem; white-space: nowrap; text-overflow: ellipsis; }
form.form div.checkbox label { white-space: wrap!important; line-height: 1.2; display: flex; gap: 0.3rem; }
form.form div.checkbox input { min-width: 1rem; }
form.form > div input:not([type="submit"],[type="checkbox"]), form.form > div textarea, div.disabledinput { height: 2.4rem; line-height: 2.4rem; border: 1px solid var(--overlay-light); flex-grow: 1; padding: 0 0.5rem; }
form.form > div textarea { height: 25rem; line-height: 1.4; padding: 0.5rem; }
form.form > div input[disabled], div.disabledinput { color: var(--overlay-light); background: var(--overlay-subtle); }
form.form > div input[type="checkbox"], form.form > div input[type="radio"] { height: 1rem; }

form.form > div.form-group { display: grid; grid-template-columns: 10rem auto; }
form.form > div.form-group .help-block { display: none; }
div.form-group.has-error .help-block { display: block; margin-top: 1rem; grid-column-start: 1; grid-column-end: 3; color: var(--error-color); }


input[type="checkbox"], input[type="checkbox"] + *::before { width: 0.95rem; height: 100%; overflow: hidden; left: 0; opacity: 0; display: inline-block; vertical-align: top; border: 0; padding: 0; margin: 0 0.35rem 0 0; }
input[type="checkbox"] + *::before { content: ""; position: absolute; background: url('/img/square-light.svg') center center / contain no-repeat; opacity: 1; cursor: pointer; }
input[type="checkbox"]:checked + *::before { background: url('/img/fontawesome-solid/check-square.svg') center center / contain no-repeat; }

input[type="radio"], input[type="radio"] + *::before { width: 1rem; height: 100%; overflow: hidden; left: 0; opacity: 0; display: inline-block; vertical-align: top; border: 0; padding: 0; margin: 0 0.35rem 0 0; }
input[type="radio"] + *::before { content: ""; position: absolute; background: url('/img/circle-light.svg') center center / contain no-repeat; opacity: 1; cursor: pointer; }
input[type="radio"]:checked + *::before { background: url('/img/fontawesome-solid/dot-circle.svg') center center / contain no-repeat; }

.form-group.checkbox > div { flex-grow: 1; }
.form-group.checkbox > div > div { position: relative; display: flex; }
.form-group.checkbox > div > div > label { display: flex; margin-left: 0.3rem; }
.form-group.checkbox > div > div > a { line-height: 2.4rem; cursor: pointer; }

form div[style*="flex-direction: column"] input { flex-grow: unset; }
form .error input, form .error :not(label) { color: var(--error-color); }
form .error input { border: 1px solid var(--error-color)!important; }

.fakeselect a { display: block; height: 2.4rem; line-height: 2.4rem; border: 1px solid var(--overlay-light); width: 100%; border-radius: 0.3rem; padding: 0 0.5rem; color: var(--main-color); }
.fakeselect + * { margin-top: 0.5rem; }

[type="search"]::-webkit-search-cancel-button,
[type="search"]::-webkit-search-decoration { -webkit-appearance: none; appearance: none; }
dl { position: relative; display: flex; flex-wrap: wrap; }
dl dt { clear: left; width: 40%; max-width: 200px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; }
dl dd { width: 60%; }

select, input[type="date"] { height: 2.4rem; line-height: 2.4rem; width: 4.5rem; border: 1px solid var(--overlay-light); padding: 0 0.5rem; font-family: 'Manrope', sans-serif; font-size: 1rem; font-weight: 500; border-radius: 0.3rem; background: transparent; width: 100%; color: var(--main-color); }
input, textarea, form .disabledinput { font-family: 'Manrope', sans-serif; font-size: 1rem; font-weight: 500; border-radius: 0.3rem; color: var(--main-color); background: var(--background-color); border: 1px solid var(--overlay-subtle); text-decoration: none!important; }
.disabledinput { overflow: hidden; white-space: nowrap; text-overflow: ellipsis; }
button, .button { cursor: pointer; }
input[type='checkbox'], input[type='radio'] { position: relative; top: 0.1rem; margin-right: 0.2rem; }

/* =========================================================== */
/* ======================== IMAGEMAP ========================= */
/* =========================================================== */
.imagemap { position: relative; }
.imagemap img { display: block; }
.imagemap .area { display: block; position: absolute; transition: box-shadow 0.15s ease-in-out; }
.imagemap .area.disabled { background: var(--overlay-white); pointer-events: none; }
.imagemap .area:hover { background: transparent; box-shadow: 0px 0px 0.5rem var(--overlay-dark); }


/* =========================================================== */
/* ====================== RELATED ITEMS ====================== */
/* =========================================================== */
section.related { padding: 3rem 0;  margin: 3rem auto 0; background: var(--secondary-color);  }
section.related h2 { text-align: center; margin-bottom: 1.5em;}
section.related ul { list-style: none; display: grid; grid-template-columns: repeat(auto-fill, minmax(20rem, 1fr));  grid-gap: 1.5rem;}
section.related ul li h3 { margin: 0.5rem 0;}
section.related ul li a { display: block; }
section.related ul li a img { background: var(--background-color); }
section.related ul li a h3 ~ * { color: var(--main-color);}
section.related + .worldwide { margin-top: 0;}

/* =========================================================== */
/* ==================== articlelist ========================== */
/* =========================================================== */
.container:has(p) + section.articlelist {margin-top: 3rem;}
section.articlelist ul { list-style: none; }
li.article:not(:last-of-type) { margin-bottom: 3rem; padding-bottom: 3rem;  position: relative; }
li.article:not(:last-of-type)::before { content: ""; position: absolute; bottom: 0; width: 100%; height: 2px; background: linear-gradient(to right, transparent 0%, var(--overlay-light) 25%, var(--overlay-light) 75%, transparent 100%); }
li.article > a { display: flex;  gap: 2rem;  align-items: center; }
li.article > a .h2 { margin-top: 0; }
li.article > a p { color: var(--main-color);}
li.article > a img { max-width: 25rem; width: 50%; flex-shrink: 0;}
li.article > a .button { max-width: max-content;}
li.article .date {margin-bottom: 0.25rem;}


@media only screen and (max-width: 600px) {
    section.articlelist h1 { text-align: center;}
    li.article > a { flex-direction: column;  max-width: 25rem; }
    li.article > a img { width: 100%; }
}


/* =========================================================== */
/* =========================== DNA =========================== */
/* =========================================================== */
ul.dna {  display: flex; justify-content: center; flex-wrap: wrap; gap: 2rem;}
ul.dna li { max-width: calc((58rem - 6rem) / 3); width: 80%;  padding: 0 !important;  display: flex; flex-direction: column-reverse; align-items: center;  margin: 0 !important; }
ul.dna li h3 { text-align: center; max-width: 11em; margin: 0;  }
ul.dna li::before { display: none; }


/* =========================================================== */
/* ======================== PRODUCTS ========================= */
/* =========================================================== */
.products ul { list-style: none; display: flex; gap: 4rem 1rem; align-items: stretch; flex-wrap: wrap-reverse;  justify-content: center; }
.products :is(h2,h3) {text-align: center;}
.products h2 { margin: 0 0 4rem; }

.products ul li.product.product { padding: 0; width: 100%; max-width: calc(76rem / 3 - 2rem / 3); flex-shrink: 0; }
.products ul li.product > div { padding: 1em; display: flex;  flex-direction: column;  border-radius: var(--btn-border-radius); color: var(--main-color); height: 100%; display: flex; flex-direction: column; text-align: center;}
.products ul li.product > div > p {flex-grow: 1;}
.products ul li.product > div .h3 { margin-top: 0.5rem;}
.products ul li.product > div .button { max-width: max-content; background: var(--success-color);  color: var(--background-color) ; border: none; display: block; margin-inline: auto; border-bottom: 3px solid var(--success-color-dark);}
.products ul li.product::before { display: none; }
.products ul li.product img { mix-blend-mode: darken; object-fit: contain; height: 15rem; max-width: 100%; padding: .5rem;  margin-bottom: .5rem;  }


/* =========================================================== */
/* ===================== TEXT AND IMAGE ====================== */
/* =========================================================== */
.text-image { display: grid; grid-template-columns: 1fr 1fr; grid-gap: 2rem 6rem; align-items: center; margin: 2rem auto; }
.text-image .has-text:has(p:only-of-type:empty) { display: none; }
.text-image .has-text { padding: 2rem 0; }
.text-image .has-text > *:first-child { margin-top: 0;}
.text-image .has-image { display: flex; }


/* =========================================================== */
/* ========================= REVIEWS ========================= */
/* =========================================================== */
.contentsection:has(.reviews) .container { max-width: 100%; overflow: visible; padding: 0; }
.contentsection:has(.reviews) p > .button:only-child { margin-inline: auto; display: block;  max-width: max-content;}
.reviews ~ * { max-width: 78rem; margin-inline: auto; padding-inline: 1rem; }
.reviews h2 { max-width: 22em; display: block; margin-inline: auto; text-align: center; }
.reviewcard { flex-shrink: 0; max-width: 24rem; width: 100%;  padding: 2rem !important; background: var(--secondary-color); scroll-snap-align: center; display: grid; grid-template-columns: auto 1fr; grid-template-rows: 1fr auto; gap: 1rem; align-items: center;  position: relative; }
.reviewcard > svg { position: absolute; top: 0.5rem; left: 0.5rem;  width: 2rem; height: auto;  }
.reviewcard img { border-radius: 50%; max-width: 6rem;}
.reviewcard > p { font-style: italic;   font-size: var(--font-size-h5); grid-column: -1/1; margin-bottom: auto !important; padding-block: 1rem; height: 100%; margin-top: 1.25rem;}
.reviewcard > div > p { display: flex; flex-direction: column;  } 
.reviewcard::before { display: none; }
.reviewcard svg {margin: 1.25rem 1rem!important; display: block;}

div.has-controls .overflower-parent { position: relative;  }

div.has-controls .overflower {  overflow: auto; scroll-snap-type: x mandatory;  padding-block: 2rem; margin-block: -2rem; scroll-behavior: smooth; } 
div.has-controls .overflower > ul { display: flex; gap: 1rem; margin: 0 auto;  max-width: 78rem; padding-inline: 1rem; }
div.has-controls .overflower > ul::after { width: 2rem; content: ""; flex-shrink: 0; }

div.has-controls .ctrl-btns { display: flex; align-items: center; justify-content: space-between;  position: absolute; max-width: 78rem; left: 0;right: 0; margin: 0 auto; top: 50%; transform: translateY(-50%); pointer-events: none; z-index: 2; } 
div.has-controls .ctrl-btns button:first-of-type { transform: scaleX(-1);}

div.has-controls .overflower[data-left=true] + .ctrl-btns button:first-of-type,
div.has-controls .overflower[data-right=true] + .ctrl-btns button:last-of-type { opacity: 0; pointer-events: none;}

.circle-arrow { padding: 0rem; width: 3rem; height: 3rem; background: var(--background-color); border-radius: 50%; display: grid; place-items: center; transition: opacity 250ms, transform 250ms;  pointer-events: all; border: 1px solid rgba(0,0,0,0.1);}
.circle-arrow svg { transform: translateX(.05em); transition: transform 250ms ease; width: 1.2rem; height: auto; }
.circle-arrow:hover svg { transform: translateX(.2em); }

body.touch div.has-controls .ctrl-btns { display: none; }

/* COLOR ADJUSTMENTS */
.contentsection.secondary .reviewcard { background: var(--background-color);}

@media only screen and (min-width: 88rem) {
    div.has-controls .overflower > ul::after { width: 10rem; }
}

@media only screen and (max-width: 768px) {
    .reviewcard { max-width: 20rem;}
}


/* =========================================================== */
/* ================ BACKGROUND IMAGE SECTION ================= */
/* =========================================================== */
.body .contentsection.has-bg-image .container { padding: 5rem 0;  }
.body .contentsection.contentsection.has-bg-image { background: var(--bg-image) center center / cover; isolation: isolate; color: var(--background-color);}
.body .contentsection.contentsection.has-bg-image::before { content: ""; position: absolute; top: 0; left: 0; width: 100%; height: 100%;  background: #000; opacity: .7; z-index: -1; }


/* --------------- END SECTIONS --------------- */


/* --------------- PROSE CONTENT --------------- */
.prose > * + * { margin: 1.5em 0 0; }
.prose img,  .prose iframe { width: 100%;}
.prose ul, .prose ul ul ul { list-style: disc; }
.prose ul ul,.prose ul ul ul ul { list-style: circle; }
.prose :is(ol,ul) { padding-left: 1em; }
.prose :is(ol,ul) :is(ol,ul) { margin: .5em 0; }
.prose blockquote { position: relative; font-style: italic; font-size: 1.5rem; padding-left: .8em; border-left: .25rem solid var(--main-color); }
.prose > * strong { --font-weight: var(--font-bold); }
.prose > * em { font-style: italic; }
.prose a:not(.button) { text-decoration: underline; }
.prose code { font-family: monospace; background: var(--gray-light); padding: .2rem; }
.prose :is(h1,h2,h3,h4) + :is(h1,h2,h3,h4) { margin-top: .2em; }


/* --------------- MEDIA QUERIES --------------- */
@media only screen and (max-width: 975px) {
    html {scroll-padding-top: 0;}
    .imagemap .area:hover {box-shadow: 0px 0px 1.5vw var(--overlay-dark);}
}



/* --------------- ANIMATIONS --------------- */
@keyframes appearfrombottom {
    0% { transform: translateY(1rem); opacity: 0; }
    100% { transform: translateY(0rem); opacity: 1; }
}
.staggered_animation { animation: appearfrombottom 0.75s both; animation-delay: calc(var(--n) * 200ms + 500ms); }



/* --------------- embedpdfshortcode --------------- */
.embedpdfshortcode {
    margin-right: auto;
    max-width: 40rem; width: 100%;
    margin-block: 2rem;
}
.embedpdfshortcode > div.buttons {
    display: flex;
    gap: 0.5rem;
    justify-content: space-between;
}
.embedpdfshortcode > canvas {
    max-width: 40rem;
    width: 100%; 
    margin-block: 0.5rem 1rem; 
    border: 1px solid var(--gray-light);
    display: block;
}